﻿use Test::Simple tests => 5;

use strict;
use DE_EPAGES::Core::API::Log qw( InitLog GetAppender );
use DE_EPAGES::Core::API::File qw( DeleteFile GetFileContent );
use DE_EPAGES::Core::API::Process; # avoid warning "Too late to run INIT block"

use utf8;

InitLog();
my $Appender = GetAppender( 'error_log' );
ok( $Appender->isa('DE_EPAGES::Core::API::Log4PerlFileAppender'), 'GetAppender' );
ok( $Appender->fileName eq $ENV{EPAGES_LOG}.'/error.log', 'GetAppender->fileName' );
ok( $Appender->mode eq 'append', 'GetAppender->mode' );
ok( $Appender->encoding eq 'iso-8859-1', 'GetAppender->encoding' );

# change file name for test
$Appender->{'filename'} = 'Log.txt';
DeleteFile( $Appender->{'filename'} );
my $String = "ABC ÄÖÜ Ωж \x{201e} \x{2010}\n";
$Appender->log( message => $String );

my $Content = ${GetFileContent( $Appender->{'filename'}, { encoding => 'iso-8859-1' } )};
ok( $Content eq "ABC ÄÖÜ \\x{03a9}\\x{0436} \\x{201e} \\x{2010}\n", "log Unicode characters" );
DeleteFile( $Appender->{'filename'} );
